위젯
위젯 목록 조회
인증된 조직의 위젯 목록을 조회합니다. status=archived를 지정하지 않으면 archived 위젯은 제외됩니다. status를 반복하면 여러 상태를 함께 조회합니다.
GET
/
widgets
위젯 목록 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/widgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/widgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_id": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version": "current"
},
"status": "draft",
"mode": "chat",
"callback_from_number": "<string>",
"callback_presentation_number": "<string>",
"allowed_domains": [
"<string>"
],
"rate_limit": {
"preset": "standard",
"per_minute": 123
},
"branding": {
"title": "<string>",
"accent_color": "<string>",
"orb_colors": {
"primary": "<string>",
"secondary": "<string>"
},
"styles": {
"button_radius": 123,
"input_radius": 123,
"bubble_radius": 123
},
"theme": "light",
"logo_url": "<string>",
"popup_message": "<string>",
"popup_delay_seconds": 123,
"auto_open": true,
"suggested_replies": [
"<string>"
],
"disclaimer_text": "<string>",
"markdown": true,
"link_allowed_hosts": [
"<string>"
],
"transcript": true,
"fab_text": "<string>",
"placement": "bottom-right",
"panel_size": "compact",
"white_label": true,
"dynamic_variables": {},
"terms_url": "<string>",
"callback_fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"placeholder": "<string>",
"required": true,
"options": [
"<string>"
]
}
]
},
"published_at": 123,
"published_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": 123,
"updated_at": 123
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 10,
"window_seconds": 1,
"scope": "user"
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Query Parameters
위젯 상태 필터입니다. 허용값은 draft, published, archived이며 여러 상태를 조회하려면 query parameter를 반복해서 전달합니다.
Available options:
draft, published, archived 위젯 유형 필터입니다. 허용값은 chat, voice, callback입니다.
Available options:
chat, voice, callback 정렬 기준 필드입니다. created_at만 지원합니다.
Available options:
created_at 정렬 방향입니다. 허용값은 asc, desc입니다.
Available options:
asc, desc 이전 응답의 next_cursor 값입니다. 다음 페이지를 조회할 때 그대로 전달합니다.
반환할 최대 항목 수입니다. v3 목록 endpoint는 1~100을 허용합니다.
Required range:
1 <= x <= 100Was this page helpful?
⌘I
위젯 목록 조회
